#!/bin/bash
# This script gets these variables passed: $DOMAIN, $ADMIN_PASSWORD, $IP, $LDAP_DC
mkdir -p /root/shlink
# Dont forget to escape " with a backslash:
cp docker-compose.yml /root/shlink/docker-compose.yml

# Envsubst is used to replace variables in the docker-compose.yml file
export DOMAIN=$DOMAIN
export ADMIN_PASSWORD=$ADMIN_PASSWORD
export IP=$IP
export LDAP_DC=$LDAP_DC
# Generate a random API key
export INITIAL_API_KEY=$(openssl rand -hex 32)
envsubst < docker-compose.yml > /root/shlink/docker-compose.yml

docker-compose -f /root/shlink/docker-compose.yml up -d



echo "s.$DOMAIN {
    #tls internal
    handle_path / {
	  respond "Ok"
    }
    reverse_proxy localhost:25444
}

" >> /etc/caddy/Caddyfile

echo "shlink.$DOMAIN {
    #tls internal
    reverse_proxy localhost:25445
}

" >> /etc/caddy/Caddyfile

# If domain is "int.de" uncomment the tls internal line for internal https
if [ "$DOMAIN" = "int.de" ]; then
    sed -i 's/#tls internal/tls internal/g' /etc/caddy/Caddyfile
fi

systemctl reload caddy

curl -X POST -F 'subject=🔑🔗 Shlink API Key' -F "message=Der API-Key für die Shlink API ist: $INITIAL_API_KEY\nDie URL des Server ist: https://s.$DOMAIN" localhost:11123/unix/send_mail